/*----------------------/
/ App Styles
/----------------------*/
html {
  background: black;
}
#keyboard {
  width: 100%;
  height: 100%;
  background-color: #eee;
}

#keys {
  text-align: center;
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  background: black;
  padding-top: 1.125rem;
}

#controls {
  font-size: .8rem;
  font-family: Helvetica Neue;
  position: absolute;
  left: .5rem;
  bottom: .5rem;
  width: 100%;
}

#controls button {
  font-size: .8rem;
  font-family: Helvetica Neue;
  border-radius: 5px;
  background-color: #fff;
}

#controls button.selected {
  background-color: #d86865;
}

#controls #notation {
  position: absolute;
  bottom: 0;
  right: 1rem;
}

.row {
  margin-top: -1.125rem;
}

.tall .row {
  margin-top: -1.67rem;
}

.controlsRow {
  text-align: center;
  margin-top: 0.25em;
}

.tall .row.controlsRow {
  margin-top: 0.5em;
}

.key {
  width: 4.0rem;
  height: 4.6rem;
  display: inline-block;
  margin: 0.5px;
}

.tall .row .key {
  width: 3.44rem;
  height: 4.82rem;
}

.tall .controlsRow .key {
  margin: 0.3em 0.86em;
}

.key .hexagon {
  overflow: hidden;
  visibility: hidden;
  -webkit-transform: rotate(120deg);
  transform: rotate(120deg);
  cursor: pointer;
}

.tall .row .key .hexagon {
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
}

.key .hexagon-in1 {
  overflow: hidden;
  width: 100%;
  height: 100%;
  -webkit-transform: rotate(-60deg);
  transform: rotate(-60deg);
}

.tall .row .key .hexagon-in1 {
  -webkit-transform: rotate(-90deg);
  transform: rotate(-90deg);
}

.key .hexagon-in2 {
  overflow: hidden;
  width: 100%;
  height: 100%;
  background: white;

  visibility: visible;

  -webkit-transform: rotate(-60deg);
  transform: rotate(-60deg);
  /*-webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;*/
}

.controlsRow .key .hexagon-in2[data-set="i"] {
  background: #999;
}
.controlsRow .key .hexagon-in2[data-set="iv"] {
  background: white;
}
.controlsRow .key .hexagon-in2[data-set="v"] {
  background: red;
}

.a_i .controlsRow .key .hexagon-in2[data-set="i"],
.a_iv .controlsRow .key .hexagon-in2[data-set="iv"],
.a_v .controlsRow .key .hexagon-in2[data-set="v"] {
  -webkit-box-shadow: inset 0 0 2rem 0.25rem rgba(0, 0, 100, 0.5);
  box-shadow: inset 0 0 2rem 0.25rem rgba(0, 0, 100, 0.5);
}

.a_i .row1 .key .hexagon-in2,
.a_iv .row0 .key .hexagon-in2,
.a_iv .row2 .key .hexagon-in2,
.a_v .row0 .key:nth-child(4n+2) .hexagon-in2, .a_v .row0 .key:nth-child(4n+3) .hexagon-in2,
.a_v .row2 .key:nth-child(4n+1) .hexagon-in2, .a_v .row2 .key:nth-child(4n+4) .hexagon-in2 {
  background: #999;
}

.a_i .row0 .key:nth-child(4n+2) .hexagon-in2, .a_i .row0 .key:nth-child(4n+3) .hexagon-in2,
.a_i .row2 .key:nth-child(4n+1) .hexagon-in2, .a_i .row2 .key:nth-child(4n+4) .hexagon-in2,
.a_iv .row0 .key:nth-child(4n+2) .hexagon-in2, .a_iv .row0 .key:nth-child(4n+3) .hexagon-in2,
.a_iv .row2 .key:nth-child(4n+1) .hexagon-in2, .a_iv .row2 .key:nth-child(4n+4) .hexagon-in2,
.a_v .row1 .key .hexagon-in2 {
  background: red;
}

.a_i .row0 .key:nth-child(4n+3) .hexagon-in2::before,
.a_i .row2 .key:nth-child(4n+1) .hexagon-in2::before,
.a_iv .row0 .key:nth-child(4n+1) .hexagon-in2::before,
.a_iv .row2 .key:nth-child(4n+3) .hexagon-in2::before,
.a_v .row0 .key:nth-child(4n+1) .hexagon-in2::before,
.a_v .row2 .key:nth-child(4n+3) .hexagon-in2::before {
  content: '';
  background: black;
  border-radius: 10rem;
  width: 0.75em;
  height: 0.75em;
  display: block;
  position: absolute;
  top: calc(50% - 0.375em);
  left: calc(50% - 0.375em);
}

.tall .row .key .hexagon-in2 {
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.key .hexagon-in2.active {
  -webkit-box-shadow: inset 0 0 2rem 0.75rem rgba(0, 0, 100, 0.5);
  box-shadow: inset 0 0 2rem 0.75rem rgba(0, 0, 100, 0.5);
}

.key h1 {
  padding: 1rem 0 .4rem 1.4rem;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 2.4rem;
  text-shadow: 0.1rem 0.1rem 0 rgba(0,0,0,0.03);
  color: rgba(0,0,0,0.9);
}

.controlsRow .key h1 {
    padding-left: 0;
}

.tall .row .key h1 {
  padding-left: 0.9rem;
}

.key h1.incidental {
  padding-left: 1.2rem;
}

.tall .row .key h1.incidental {
  padding-left: 0.5rem;
}

.key h1.incidental sup {
  position: relative;
  top: -.2rem;
  font-size: 60%;
}

.key h1 sub {
  vertical-align: sub;
  position: relative;
  top: -.2rem;
  font-size: 30%;
  opacity: 0.25;
}
.key h1.incidental sub {
  left: -.5rem;
}

#hiddenSettings {
  position: absolute;
  top: 0; right: 0;
  width: 2em;
  height: 2em;
}
